FSCK.FAT(8)

NOM
fsck.fat – Vérifier et réparer un système de fichiers FAT MS-DOS

SYNOPSIS
fsck.fat [options] périphérique

DESCRIPTION
fsck.fat vérifie la cohérence des systèmes de fichiers MS-DOS et essaye facultativement de les réparer.

Les problèmes suivants du système de fichiers peuvent être corrigés (dans cet ordre) :

•   La Table d'Allocation des Fichiers (FAT pour « File Allocation Table » contient un nombre de blocs incorrect. Le bloc est transformé en EOF (End Of File).

•   La chaîne des blocs d'un fichier forme une boucle. La boucle est brisée.

•   Mauvais blocs (erreurs de lecture). Les blocs sont marqués « défectueux » et sont retirés des fichiers qui les possédaient. Cette vérification est optionnelle.

•   Répertoire avec un grand nombre d'entrées incorrectes (il est probablement corrompu). Le répertoire peut être effacé.

•   Des fichiers « . » ou « .. » ne sont pas des répertoires. Ils peuvent être supprimés ou renommés.

•   Présence de répertoires « . » ou « .. » dans le répertoire racine. Ils sont supprimés.

•   Mauvais noms de fichiers. Ils peuvent être renommés.

•   Entrées de répertoire dupliquées. Elles peuvent être supprimées ou renommées.

•   Répertoires avec un champ de taille non nulle. La taille est mise à zéro.

•   Le répertoire « . » ne pointe pas sur le répertoire parent. Le pointeur de départ est ajusté.

•   Le répertoire « .. » ne pointe pas sur le parent du répertoire parent. Le pointeur de départ est ajusté.

•   « . » et « .. » ne sont pas les deux premiers répertoires dans un répertoire non racine. Les entrées sont créées, en déplaçant des emplacements (slot) si nécessaire.

•   Le numéro de bloc de démarrage d'un fichier est incorrect. Le fichier est tronqué.

•   Le fichier contient des blocs libres ou défectueux. Le fichier est tronqué.

•   La chaîne des blocs du fichier est plus longue que celle indiquée dans les champs de taille. Le fichier est tronqué.

•   Au moins deux fichiers partagent un ou plusieurs blocs. Tous les fichiers sauf un sont tronqués. Si le fichier qui est tronqué est un fichier répertoire qui a déjà été lu, la vérification du système de fichiers est redémarrée une fois tronqué.

•   La chaîne des blocs d'un fichier est plus courte que ce qu'indiquent les champs de taille. Le fichier est tronqué.

•   L’étiquette de volume dans le répertoire racine ou l’étiquette dans le secteur d’amorçage ne sont pas valables. Les étiquettes non valables sont supprimées.

•   L’étiquette de volume dans le répertoire racine n’est pas la même que celle du secteur d’amorçage. L’étiquette du répertoire racine est copiée dans le secteur d’amorçage.

•   Des blocs sont marqués comme utilisés sans appartenir à aucun fichier. Ils sont marqués comme libres.

De plus, les problèmes suivants sont détectés, mais ne sont pas réparés :

•   Paramètres incorrects dans le secteur d’amorçage.

Quand fsck.fat vérifie un système de fichiers, il accumule toutes les modifications en mémoire et ne les accomplit qu'une fois toutes les vérifications terminées. Cela peut être désactivé par l'option -w.

Deux autres variantes du système de fichiers FAT sont prises en charge. Les systèmes de fichiers FAT12, FAT16 et FAT32 sont la norme telle que définie par Microsoft et sont largement utilisés pour les disques durs et les supports amovibles tels que les clés USB et les cartes SD. Une autre norme est la variante patrimoniale d’Atari utilisée sur les Atari ST.

Des différences mineures existent dans le format Atari : certains champs du secteur d’amorçage sont interprétés légèrement différemment et les entrées spéciales de la table d'allocation des fichiers pour EOF et « bloc défectueux » peuvent être différentes. Sous MS-DOS 0xfff8 est utilisé pour EOF alors qu'Atari utilise 0xffff par défaut, mais les deux systèmes reconnaissent toutes les valeurs de 0xfff8 à 0xffff comme EOF. MS-DOS utilise uniquement 0xfff7 pour les blocs défectueux, alors qu'Atari utilise les valeurs de 0xfff0 à 0xfff7 à cet effet (mais la valeur standard reste 0xfff7).

OPTIONS

-a  Réparer automatiquement le système de fichiers. Aucune intervention de l'utilisateur n'est nécessaire. Quand plus d'une méthode est possible pour corriger un problème, l'approche la moins destructrice est choisie.

-A  Sélectionner la variante Atari du système de fichiers FAT si elle n’est pas déjà en cours, ou autrement sélectionner le système de fichiers FAT standard. Cela est sélectionné par défaut si mkfs.fat est exécuté sur Linux 68k Atari.

-b  Faire une vérification du secteur d'amorçage en lecture seule.

-c page
    Utiliser le code de page DOS page pour décoder les noms courts de fichier. Par défaut, le code de page 850 est utilisé.

-d chemin
    Supprimer le fichier indiqué. Si plus d'un fichier portant ce nom existent, seul le premier est supprimé. Cette option peut être indiquée plus d’une fois.

-f  Enregistrer les chaînes de blocs libres dans des fichiers. Par défaut les blocs libres sont ajoutés à l'espace disque disponible, sauf en mode automatique (-a).

--tabsize=n
    Indiquer la table FAT num pour l’accès au système de fichiers. Par défaut la valeur 0 est supposée, et la première table FAT non corrompue est alors choisie. Non corrompue signifie que la table FAT a un premier bloc valable. Si la valeur 0 par défaut est utilisée et que toutes les tables FAT sont corrompues, alors fsck.fat abandonne et n’essaie pas de réparer le système de fichiers FAT. Si une valeur num différente de zéro est indiquée, alors fsck.fat utilise la table FAT num pour réparer le système de fichiers FAT. Si la table FAT num a le premier bloc corrompu, alors fsck.fat le répare. Dans tous les cas, si le système de fichiers FAT a plus de tables FAT, alors le contenu réparé de la table FAT choisie est copié sur les autres tables FAT. Pour réparer le premier bloc corrompu, il est nécessaire d’appeler fsck.fat avec une valeur num non nulle.

-l  Afficher la liste des noms de chemin des fichiers en cours de traitement.

-n  Mode sans opération : vérifier les erreurs de façon non interactive, mais ne rien écrire sur le système de fichiers.

-p  Faire la même chose que -a, par compatibilité avec les autres outils *fsck.

-r  Réparer interactivement le système de fichiers. Le programme demande l'avis de l'utilisateur quand plus d'une approche est possible pour corriger une incohérence. C’est le mode par défaut, l’option n’est gardée que pour des raisons de rétrocompatibilité.

-S  Considérer que les noms de fichier courts (8.3) avec des espaces au milieu sont non valables, comme le faisaient les précédentes versions. Bien que de tels noms ne soient pas interdits par la spécification FAT et qu’ils n’ont jamais été traités comme des erreurs par les outils de vérification de système de fichiers de Microsoft, beaucoup de programmes DOS sont incapables de gérer de tels noms de fichier. L’utilisation de cette option peut les rendre accessibles à ces programmes.

    Les noms de fichier courts qui commencent avec une espace sont considérés non valables quelque soit le positionnement de cette option.

    Les versions précédentes de ce programme traitaient exceptionnellement EA DATA. SF et WP ROOT. SF comme des noms courts valables. L’utilisation de cette option ne respecte pas cette exception.

-t  Marquer les blocs illisibles comme étant défectueux.

-u chemin
    Essayer de restaurer le fichier effacé indiqué. fsck.fat essaye d'allouer une chaîne de blocs libres et contiguës commençant avec le bloc de départ du fichier restauré. Cette option peut être indiquée plus d’une fois.

-U  Considérer les étiquettes de volume et d’amorçage en minuscules comme non valables et autoriser uniquement les caractères majuscules. De telles étiquettes sont interdites par la spécification FAT, mais sont largement utilisées par les outils Linux. D’ailleurs, les systèmes MS-DOS et Windows n’ont aucun problème à les lire. Par conséquent, les étiquettes de volume et d’amorçage avec des caractères minuscules sont autorisées par défaut.

-v  Mode détaillé. Génération d’un peu plus de sortie.

-V  Effectuer une passe de vérification. La vérification du système de fichiers est répétée après la première exécution. La deuxième passe ne doit jamais rapporter d'erreurs qui pourraient être corrigées. Ça peut prendre beaucoup plus de temps que la première passe, car la première passe peut avoir généré une longue liste de modifications qui doivent être vérifiées pour chaque lecture de disque.

--variant type
    Créer un système de fichiers de type différent. Les valeurs acceptables sont standard et atari (casses indifférentes). Consulter ci-dessus DESCRIPTION pour les différences.

-w  Écrire immédiatement les modifications sur le disque.

-y  Faire la même chose que -a (réparer automatiquement le système de fichiers) pour une compatibilité avec les autres outils fsck.

--help
    Afficher un message d'aide décrivant l’utilisation et les options puis quitter.

CODE DE RETOUR

0   Aucune erreur récupérable n'a été détectée.

1   Des erreurs récupérables ont été détectées ou fsck.fat a découvert une incohérence interne.

2   Erreur d'utilisation. fsck.fat n'a pas eu accès au système de fichiers.

FICHIERS

fsck0000.rec, fsck0001.rec, ...
    Lors de la récupération à partir d'un système de fichiers corrompu, fsck.fat vide les données récupérées dans des fichiers nommés fsckNNNN.rec dans le répertoire de plus haut niveau du système de fichiers.

BOGUES

•   Les répertoires totalement vides ne sont pas supprimés.

•   Davantage de messages de diagnostic devraient être fournis.

•   La suppression de fichiers devrait utiliser un algorithme plus sophistiqué.

VOIR AUSSI
fatlabel(8), mkfs.fat(8)

PAGE D'ACCUEIL
La page d’accueil du projet dosfstools est sa page de projet GitHub (https://github.com/dosfstools/dosfstools).

AUTEURS
dosfstools a été écrit par Werner Almesberger (werner.almesberger@lrc.di.epfl.ch), Roman Hodek (Roman.Hodek@informatik.uni-erlangen.de) et d’autres. Les responsables actuels sont Andreas Bombe (aeb@debian.org) et Pali Rohár (pali.rohar@gmail.com).

TRADUCTION
La traduction française de cette page de manuel a été créée par Sébastien Blanchet, François Wendling <frwendling@free.fr>, Nicolas François <nicolas.francois@centraliens.net>, David Prévot <david@tilapin.org> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.